votes = cell(10, 3);

% testing the mex code
for i = 1: 10
  img = single(im2double(imread('small.jpg')));
  options.iterations = 5;
  [nnf, dist] = nnmex(img, img, options);
  votes{i, 1} = nnf;
  votes{i, 2} = dist;
  
  votes{i, 3} = votemex(img, img, nnf, options);
end
